# Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog Class Reference

Collaboration diagram for Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog:

[legend]

List of all members.

## Public Member Functions
| SwitchRefDialog (string title)
| SwitchRefDialog (string title)
| SwitchRefDialog (string title)
## Protected Member Functions
override void | OnClosed (EventArgs e)
| Dialog is being dismissed, either continue the application, or shutdown. Save setting if required.
override void | OnClosed (EventArgs e)
| Dialog is being dismissed, either continue the application, or shutdown. Save setting if required.
override void | OnClosed (EventArgs e)
| Dialog is being dismissed, either continue the application, or shutdown. Save setting if required.

## Detailed Description

Definition at line 18 of file dxmutmisc.cs.

## Constructor & Destructor Documentation

Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog.SwitchRefDialog | ( | string | title | ) |

Definition at line 23 of file dxmutmisc.cs.

Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog.SwitchRefDialog | ( | string | title | ) |

Definition at line 23 of file dxmutmisc.cs.

Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog.SwitchRefDialog | ( | string | title | ) |

Definition at line 23 of file wdxmutmisc.cs.

## Member Function Documentation

override void Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog.OnClosed | ( | EventArgs | e | ) | `[protected]`

Dialog is being dismissed, either continue the application, or shutdown. Save setting if required.

Definition at line 144 of file wdxmutmisc.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog.OnClosed | ( | EventArgs | e | ) | `[protected]`

Dialog is being dismissed, either continue the application, or shutdown. Save setting if required.

Definition at line 144 of file dxmutmisc.cs.

override void Microsoft.Samples.DirectX.UtilityToolkit.SwitchRefDialog.OnClosed | ( | EventArgs | e | ) | `[protected]`

Dialog is being dismissed, either continue the application, or shutdown. Save setting if required.

Definition at line 144 of file dxmutmisc.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/dxmutmisc.cs
- D:/guillaume/guillara/3D/DXGfx/DXCommon/wdxmutmisc.cs